Subject: absolute pathnames not handled in b17.1 make
From: [email-masked] (Jay Brown)

28 Feb 1997 14:20:23 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (WinNT; I)
Original-To: [email-masked]
Original-CC: [email-masked]
Original-Sender: [email-masked]

I just downloaded b17.1 and I found a problem with make.

An example describing the problem is as follows:

The following is in the makefile

target_file: /users/dirx/file.vhd
	create_target_file commands

I am executing make in the d:/users/dirx directory. I get the following
error message:

gmake: *** No rule to make target '/users/dirx/file.c', needed by
'target_file'. Stop

Relative paths in the dependency list seem to work fine. The following
works:

target_file: ./file.vhd
	create_target_file commands

I also noticed that you cannot use drive letters when specifying full
paths. It seems that this version of make does not like the colon.

I am not yet a subscriber to the gnu-win32 mailing list. Please send any
responses to my email address. Thanks.

-Jay

-- 
Jay Brown
FORE Systems
[email-masked]
508-264-3018
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".